Bug 1695045 - setuptools is required at runtime
Summary: setuptools is required at runtime
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-doit
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: José Matos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-02 11:30 UTC by Elliott Sales de Andrade
Modified: 2019-04-29 02:14 UTC (History)
2 users (show)

Fixed In Version: python-doit-0.31.1-4.fc28 python-doit-0.31.1-4.fc30 python-doit-0.31.1-4.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-29 01:08:57 UTC
Type: Bug


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2019-04-02 11:30:56 UTC
Description of problem:
The doit executable fails to run due to a missing dependency.

Version-Release number of selected component (if applicable):
0.31.1-2.fc29, 0.31.1-3.fc30

Steps to Reproduce:
1. mock -r fedora-29-x86_64 --install python3-doit
2. mock -r fedora-29-x86_64 --shell doit


Actual results:
Traceback (most recent call last):
  File "/usr/bin/doit", line 6, in <module>
    from pkg_resources import load_entry_point
ModuleNotFoundError: No module named 'pkg_resources'


Expected results:
No import error.

Comment 1 Fedora Update System 2019-04-15 19:45:45 UTC
python-doit-0.31.1-4.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ae7ba3ae18

Comment 2 Fedora Update System 2019-04-15 19:46:21 UTC
python-doit-0.31.1-4.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ab5752e441

Comment 3 Fedora Update System 2019-04-15 19:46:54 UTC
python-doit-0.31.1-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7df4e0b3c0

Comment 4 Fedora Update System 2019-04-16 01:35:46 UTC
python-doit-0.31.1-4.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ae7ba3ae18

Comment 5 Fedora Update System 2019-04-16 02:54:16 UTC
python-doit-0.31.1-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7df4e0b3c0

Comment 6 Fedora Update System 2019-04-16 04:34:48 UTC
python-doit-0.31.1-4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ab5752e441

Comment 7 Fedora Update System 2019-04-29 01:08:57 UTC
python-doit-0.31.1-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2019-04-29 01:41:33 UTC
python-doit-0.31.1-4.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-04-29 02:14:48 UTC
python-doit-0.31.1-4.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.